#!/bin/sh
echo "starting cpspim..."

export PATH=$PATH:$CPSROOT/bin

PIMPIDFILE=/var/run/cpspim.pid
PIMPID=
PIMFIFO=/tmp/cpsfifo

# look for the .pid file for the cpspim.  if
# it exists the store its contents in the variable
if [ -f $PIMPIDFILE ]
then
  PIMPID=`cat $PIMPIDFILE`
fi


# if the pid file exists, check the /proc filesystem
# to see if the process is really running, or it just
# didn't remove its pid file when it died
if [ "$PIMPID" != "" ]
then
  if [ -d /proc/${PIMPID} ]
  then
    echo -n $1 >  $PIMFIFO
    exit 0
  fi
fi

# if you make it to here then the pim engie isn't
# running, start it up
export CPS_DATADIR=$CPSROOT/data
cpspim -load $1 &

