<File Name="PhoneBook" SyncWith="Address" Path="*/ByUser">
	<Field Type="C" Length="36" DBName="RecordId"/>
	<Field Type="D" Length="8" DBName="EditDate"/>
	<Field Type="C" Length="8" DBName="EditTime"/>
	<Field Type="C" Length="30" DBName="LastName"/>
	<Field Type="C" Length="30" DBName="FirstName"/>
	<Field Type="C" Length="40" DBName="Company"/>
	<Field Type="C" Length="30" DBName="Department"/>
	<Field Type="C" Length="30" DBName="Title"/>
	<Field Type="C" Length="14" DBName="WorkPhone"/>
	<Field Type="C" Length="14" DBName="HomePhone"/>
	<Field Type="C" Length="14" DBName="WorkFax"/>
	<Field Type="C" Length="14" DBName="HomeFax"/>
	<Field Type="C" Length="14" DBName="CellPhone"/>
	<Field Type="C" Length="14" DBName="Pager"/>
	<Field Type="C" Length="40" DBName="Email"/>
	<Field Type="C" Length="40" DBName="WebUrl"/>
	<Field Type="C" Length="30" DBName="Address1"/>
	<Field Type="C" Length="30" DBName="Address2"/>
	<Field Type="C" Length="20" DBName="City"/>
	<Field Type="C" Length="10" DBName="State"/>
	<Field Type="C" Length="14" DBName="Zip"/>
	<Field Type="C" Length="28" DBName="Country"/>
	<Field Type="C" Length="30" DBName="HomeAddr1"/>
	<Field Type="C" Length="30" DBName="HomeAddr2"/>
	<Field Type="C" Length="20" DBName="HomeCity"/>
	<Field Type="C" Length="10" DBName="HomeState"/>
	<Field Type="C" Length="14" DBName="HomeZip"/>
	<Field Type="C" Length="28" DBName="HomeCntry"/>
	<Field Type="C" Length="30" DBName="Category"/>
	<Field Type="M" Length="10" DBName="Notes"/>
	<Field Type="C" Length="30" DBName="Custom1"/>
	<Field Type="C" Length="30" DBName="Custom2"/>
	<Field Type="C" Length="30" DBName="Custom3"/>
	<Field Type="C" Length="30" DBName="Custom4"/>
	<Field Type="C" Length="30" DBName="Custom5"/>
	<Page Name="Address" Type="Primary" Target="All">
		<PageField Type="Button"  Pos="1,2,1.2,28" Prompt="Address Book" Command="Filelist:Run('showpim.sh menu')"/>
		<PageField Type="Combo"   Pos="1,32,6,16" DBName="+GetCpsItem('Category')"
			Value="+'All,'+GetCpsItem('CategoryList')"
			Command="SetCpsItem('Category')"/>
		<PageField Type="ListBox" Pos="2.2,2,16,46"
      Command="Change()"
			DBName="+FormatName(LastName,FirstName,'Comma')+' - '+Company"
			Sort="+LastName+'/'+FirstName"/>
		<PageField Type="Button"  Pos="18.5,2,1.5,12" Prompt="New..." Command="Add()"/>
		<PageField Type="Button"  Pos="18.5,15,1.5,12" Prompt="Find" Command="OneFileFind()"/>
		<PageField Type="Label"   Pos="18.5,33,1,15" Prompt="+GetCpsItem('ListCount')+' Items'"/>
	</Page>
	<Page Name="Address" Type="Lookup" Target="All">
		<PageField Type="Label"   Pos="1,2,1.3,28" Prompt="Address Lookup"/>
		<PageField Type="Combo"   Pos="1.0,32,6,16" DBName="+GetCpsItem('Category')"
			Value="+'All,'+GetCpsItem('CategoryList')"
			Command="SetCpsItem('Category')"/>
		<PageField Type="ListBox" Command="PopExit('Yes')" Pos="2.2,2,14,46"
			DBName="+FormatName(LastName,FirstName,'Comma')+' - '+Company"
			Sort="+Company+'/'+LastName+'/'+FirstName"/>
		<PageField Type="Button"  Pos="16.0,2,1.5,10" Prompt="Cancel" Command="PopExit('No')"/>
		<PageField Type="Label"   Pos="16.0,33,1.3,15" Prompt="+GetCpsItem('ListCount')+' Items'"/>
	</Page>
	<Page Name="Address" Type="AddEdit" Target="All">
		<Tab Name="Name">
			<PageField Type="Label"   Pos="1,2,1,38" Prompt="Contact Name"/>
			<PageField Type="Static"  Pos="3,2,1,18" Prompt="Last Name"/>
			<PageField Type="Edit"    Pos="3,19,1,22" DBName="LastName"/>
			<PageField Type="Static"  Pos="4.1,2,1,18" Prompt="First Name"/>
			<PageField Type="Edit"    Pos="4.1,19,1,22" DBName="FirstName"/>
			<PageField Type="Static"  Pos="5.2,2,1,18" Prompt="Company"/>
			<PageField Type="Edit"    Pos="5.2,19,1,22" DBName="Company"/>
			<PageField Type="Static"  Pos="6.3,2,1,18" Prompt="Department"/>
			<PageField Type="Edit"    Pos="6.3,19,1,22" DBName="Department"/>
			<PageField Type="Static"  Pos="7.4,2,1,18" Prompt="Title"/>
			<PageField Type="Edit"    Pos="7.4,19,1,22" DBName="Title"/>
			<PageField Type="Static"  Pos="9,2,1,18" Prompt="Category"/>
			<PageField Type="Combo"   Pos="9,19,6,22" DBName="Category" Value="+GetCpsItem('CategoryList')"/>
		</Tab>
		<Tab Name="Work">
			<PageField Type="Label"   Pos="1,2,1.2,38" Prompt="Work Address"/>
			<PageField Type="Static"  Pos="3,2,1,12" Prompt="Address 1"/>
			<PageField Type="Edit"    Pos="3,16,1,26" DBName="Address1"/>
			<PageField Type="Static"  Pos="4,2,1,12" Prompt="Address 2"/>
			<PageField Type="Edit"    Pos="4,16,1,26" DBName="Address2"/>
			<PageField Type="Static"  Pos="5,2,1,12" Prompt="City"/>
			<PageField Type="Edit"    Pos="5,16,1,16" DBName="City"/>
			<PageField Type="Static"  Pos="6,2,1,12" Prompt="State"/>
			<PageField Type="Edit"    Pos="6,16,1,10" DBName="State"/>
			<PageField Type="Static"  Pos="7,2,1,12" Prompt="Zip"/>
			<PageField Type="Edit"    Pos="7,16,1,16" DBName="Zip"/>
			<PageField Type="Static"  Pos="8,2,1,12" Prompt="Country"/>
			<PageField Type="Edit"    Pos="8,16,1,16" DBName="Country"/>
			<PageField Type="Static"  Pos="9,2,1,14" Prompt="Work Phone"/>
			<PageField Type="Edit"    Pos="9,16,1,20" DBName="WorkPhone"/>
			<PageField Type="Static"  Pos="10,2,1,14" Prompt="Work Fax"/>
			<PageField Type="Edit"    Pos="10,16,1,20" DBName="WorkFax"/>
		</Tab>
		<Tab Name="Home">
			<PageField Type="Label"   Pos="1,2,1.2,38" Prompt="Home Address"/>
			<PageField Type="Static"  Pos="3,2,1,12" Prompt="Address 1"/>
			<PageField Type="Edit"    Pos="3,16,1,26" DBName="HomeAddr1"/>
			<PageField Type="Static"  Pos="4,2,1,12" Prompt="Address 2"/>
			<PageField Type="Edit"    Pos="4,16,1,26" DBName="HomeAddr2"/>
			<PageField Type="Static"  Pos="5,2,1,12" Prompt="City"/>
			<PageField Type="Edit"    Pos="5,16,1,16" DBName="HomeCity"/>
			<PageField Type="Static"  Pos="6,2,1,12" Prompt="State"/>
			<PageField Type="Edit"    Pos="6,16,1,10" DBName="HomeState"/>
			<PageField Type="Static"  Pos="7,2,1,12" Prompt="Zip"/>
			<PageField Type="Edit"    Pos="7,16,1,16" DBName="HomeZip"/>
			<PageField Type="Static"  Pos="8,2,1,12" Prompt="Country"/>
			<PageField Type="Edit"    Pos="8,16,1,16" DBName="HomeCntry"/>
			<PageField Type="Static"  Pos="9,2,1,14" Prompt="Home Phone"/>
			<PageField Type="Edit"    Pos="9,16,1,20" DBName="HomePhone"/>
			<PageField Type="Static"  Pos="10,2,1,14" Prompt="Home Fax"/>
			<PageField Type="Edit"    Pos="10,16,1,20" DBName="HomeFax"/>
		</Tab>
		<Tab Name="Note">
			<PageField Type="Label"   Pos="1,2,1.2,38" Prompt="Notes"/>
			<PageField Type="Static"  Pos="3,2,1,14" Prompt="Cell Phone"/>
			<PageField Type="Edit"    Pos="3,20,1,20" DBName="CellPhone"/>
			<PageField Type="Static"  Pos="4,2,1,14" Prompt="Pager"/>
			<PageField Type="Edit"    Pos="4,20,1,20" DBName="Pager"/>
			<PageField Type="Static"  Pos="5,2,1,14" Prompt="Email"/>
			<PageField Type="Edit"    Pos="5,20,1,20" DBName="Email"/>
			<PageField Type="Static"  Pos="6,2,1,14" Prompt="Web URL"/>
			<PageField Type="Edit"    Pos="6,20,1,20" DBName="WebUrl"/>
			<PageField Type="Static"  Pos="7,2,1,14" Prompt="Notes"/>
			<PageField Type="Edit"    Pos="8,2,3,6" DBName="Notes"/>
		</Tab>
		<Tab Name="Custom">
			<PageField Type="Label"   Pos="1,2,1.2,38" Prompt="Custom Fields"/>
			<PageField Type="Static"  Pos="3,2,1,12" Prompt="Custom 1"/>
			<PageField Type="Edit"    Pos="3,20,1,20" DBName="Custom1"/>
			<PageField Type="Static"  Pos="4,2,1,12" Prompt="Custom 2"/>
			<PageField Type="Edit"    Pos="4,20,1,20" DBName="Custom2"/>
			<PageField Type="Static"  Pos="5,2,1,12" Prompt="Custom 3"/>
			<PageField Type="Edit"    Pos="5,20,1,20" DBName="Custom3"/>
			<PageField Type="Static"  Pos="6,2,1,12" Prompt="Custom 4"/>
			<PageField Type="Edit"    Pos="6,20,1,20" DBName="Custom4"/>
			<PageField Type="Static"  Pos="7,2,1,12" Prompt="Custom 5"/>
			<PageField Type="Edit"    Pos="7,20,1,20" DBName="Custom5"/>
		</Tab>
		<PageField Type="Button"  Pos="13,5,1.5,12" Prompt="Apply" Command="Apply()"/>
		<PageField Type="Button"  Pos="13,19,1.5,12" Prompt="Delete" Command="Delete()"/>
		<PageField Type="Button"  Pos="13,33,1.5,12" Prompt="Cancel" Command="NoApply()"/>
	</Page>
	<Report Name="Phone Book List" Type="All" Target="All" Sort="+LastName+'/'+FirstName+'/'+Company">
		<ReportField Type="ColumnHeader" Pos="1,5" Value="Name"/>
		<ReportField Type="ColumnHeader" Pos="0,25" Value="Company"/>
		<ReportField Type="ColumnHeader" Pos="0,50" Value="WorkPhone"/>
		<ReportField Type="ColumnHeader" Pos="0,60" Value="HomePhone"/>
		<ReportField Type="ColumnHeader" Pos="0,70" Value="Email"/>
		<ReportField Type="ReportItem" Pos="1,5"  Value="+FormatName(LastName,FirstName,'Comma')"/>
		<ReportField Type="ReportItem" Pos="0,25" Value="+Company"/>
		<ReportField Type="ReportItem" Pos="0,50" Value="+WorkPhone"/>
		<ReportField Type="ReportItem" Pos="0,60" Value="+HomePhone"/>
		<ReportField Type="ReportItem" Pos="0,70" Value="+Email"/>
	</Report>
	<Report Name="Phone Book Record" Type="One" Target="All">
		<ReportField Type="ReportItem" Pos="1,5"  Label="Name"/>
		<ReportField Type="ReportItem" Pos="0,25" Value="+FormatName(LastName,FirstName,'Full')"/>
		<ReportField Type="ReportItem" Pos="1,5"  Label="Company"/>
		<ReportField Type="ReportItem" Pos="0,25" Value="+Company"/>
		<ReportField Type="ReportItem" Pos="1,5"  Label="Email"/>
		<ReportField Type="ReportItem" Pos="0,25" Value="+Email"/>
	</Report>
</File>

