<File Name="ToDo" SyncWith="ToDo">
	<Field Type="C" Length="36" DBName="RecordId"/>
	<Field Type="D" Length="8" DBName="EditDate"/>
	<Field Type="C" Length="8" DBName="EditTime"/>
	<Field Type="C" Length="30" DBName="Desc"/>
	<Field Type="C" Length="1" DBName="Pri"/>
	<Field Type="D" Length="8" DBName="DueDate"/>
	<Field Type="C" Length="8" DBName="DueTime"/>
	<Field Type="C" Length="1" DBName="Radio"/>
	<Field Type="C" Length="1" DBName="Complete"/>
	<Field Type="C" Length="20" DBName="Category"/>
	<Field Type="C" Length="48" DBName="AddrLink"/>
	<Field Type="M" Length="10" DBName="Note"/>
	<Page Name="ToDo" Type="Primary" Target="All">
		<PageField Type="Button"   Pos="1,2,1.2,28" Prompt="To-Do List" Command="Filelist:Run('showpim.sh menu')"/>
		<PageField Type="Combo"   Pos="1,32,6,16" DBName="+GetCpsItem('Category')"
			Value="+'All,'+GetCpsItem('CategoryList')"
			Command="SetCpsItem('Category')"/>
		<PageField Type="ListBox" Pos="2.2,2,16,46"
      Command="Change()"
			DBName="+Pri+' '+Desc"/>
		<PageField Type="Button"  Pos="18.5,2,1.5,12" Prompt="New..." Command="Add()"/>
		<PageField Type="Label"   Pos="18.5,33,1.5,15" Prompt="+GetCpsItem('ListCount')+' Items'"/>
	</Page>
	<Page Name="ToDo" Type="AddEdit" Target="All">
		<Tab Name="To Do">
			<PageField Type="Static"  Pos="1,2,1,16" Prompt="Description"/>
			<PageField Type="Edit"    Pos="1,17,1,30" DBName="Desc"/>
			<PageField Type="Static"  Pos="2.7,2,1,16" Prompt="Priority"/>
			<PageField Type="Combo"   Pos="2.7,17,6,12" DBName="Pri" Value="1,2,3,4,5,"/>
			<PageField Type="Static"  Pos="4.4,2,1,16" Prompt="Due "/>
			<PageField Type="Date"    Pos="4.3,17,1.2,14" DBName="DueDate"/>
			<PageField Type="Time"    Pos="4.3,32,1.2,14" DBName="DueTime"/>
			<PageField Type="Static"  Pos="6.1,2,1,16" Prompt="Category"/>
			<PageField Type="Combo"   Pos="6.1,17,6,26" DBName="Category" Value="+GetCpsItem('CategoryList')"/>
			<PageField Type="Button"  Pos="7.8,2,1,16" Prompt="With" Command="Lookup('AddrLink','PhoneBook')"/>
			<PageField Type="Edit"    Pos="7.8,17,1,30" DBName="AddrLink:PhoneBook:+FirstName+' '+LastName" Attributes="NoEdit"/>
                        <PageField Type="Static"  Pos="9.5,2,1,12" Prompt="Company"/>
                        <PageField Type="Edit"    Pos="9.5,17,1,30" DBName="AddrLink:PhoneBook:Company" Attributes="NoEdit"/>
		</Tab>
		<Tab Name="Note">
			<PageField Type="Static"  Pos="1,2,1,12" Prompt="Note"/>
			<PageField Type="Edit"    Pos="2,2,9,46" DBName="Note"/>
		</Tab>
	    <PageField Type="Button"  Pos="13.5,5,1.5,12" Prompt="Apply" Command="Apply()"/>
	    <PageField Type="Button"  Pos="13.5,19,1.5,12" Prompt="Delete" Command="Delete()"/>
	    <PageField Type="Button"  Pos="13.5,33,1.5,12" Prompt="Cancel" Command="NoApply()"/>
	</Page>
</File>

