<File Name="Calendar" SyncWith="Calendar">
	<Field Type="C" Length="36" DBName="RecordId"/>
	<Field Type="D" Length="8" DBName="EditDate"/>
	<Field Type="C" Length="8" DBName="EditTime"/>
	<Field Name="Description" Type="C" Length="30" DBName="Desc"/>
	<Field Name="Priority" Type="D" Length="8" DBName="StartDate"/>
	<Field Name="Priority" Type="C" Length="8" DBName="StartTime"/>
	<Field Name="Priority" Type="C" Length="8" DBName="Duration"/>
	<Field Name="Priority" Type="D" Length="8" DBName="AlarmMins"/>
	<Field Name="Priority" Type="C" Length="1" DBName="RepType"/>
	<Field Name="Priority" Type="C" Length="1" DBName="RepInt"/>
	<Field Name="Priority" Type="C" Length="30" DBName="Contact"/>
	<Field Name="Priority" Type="C" Length="30" DBName="Company"/>
	<Field Name="Priority" Type="C" Length="30" DBName="Phone"/>
	<Field Name="Priority" Type="C" Length="40" DBName="Note"/>
	<Field Name="Priority" Type="C" Length="20" DBName="Category"/>
	<Page Name="Calendar" Type="Primary" Target="All">
		<PageField Type="Button"   Pos="1,2,1.2,28" Prompt="Calendar" Command="FIlelist:Run('showpim.sh menu')"/>
		<PageField Type="Combo"   Pos="1.0,32,6,16" DBName="+GetCpsItem('Category')"
			Value="+'All,'+GetCpsItem('CategoryList')"
			Command="SetCpsItem('Category')"/>
		<PageField Type="Calendar" Pos="2.2,2,14,46" DBName="+StartDate+' '+StartTime+' '+Desc"/>
		<PageField Type="Button"  Pos="16.5,2,1.5,12" Prompt="New..." Command="Add()"/>
	</Page>
	<Page Name="Calendar" Type="AddEdit" Target="All">
		<Tab Name="Schedule">
			<PageField Type="Static"  Pos="1,2,1,12" Prompt="Description"/>
			<PageField Type="Edit"    Pos="1,16,2,26" DBName="Desc"/>
			<PageField Type="Static"  Pos="3,2,1,12" Prompt="Date"/>
			<PageField Type="Date"    Pos="3,16,1,20" DBName="StartDate"/>
			<PageField Type="Static"  Pos="4,2,1,12" Prompt="Time"/>
			<PageField Type="Time"    Pos="4,16,1,20" DBName="StartTime" Default=" 8:00 AM"/>
			<PageField Type="Static"  Pos="5,2,1,12" Prompt="Duration"/>
			<PageField Type="Combo"   Pos="5,16,9,14" DBName="Duration" Value="None,5 Mins,10 Mins,15 Mins,30 Mins,1 Hour,2 Hours,3 Hours,4 Hours,8 Hours"/>
			<PageField Type="Static"  Pos="6,2,1,12" Prompt="Alarm"/>
			<PageField Type="Combo"   Pos="6,16,6,14" DBName="AlarmMins" Value="None,5 Mins,10 Mins,15 Mins,30 Mins,1 Hour, 2 Hours, 3 Hours, 5 Hours,1 Day"/>
			<PageField Type="Static"  Pos="7,2,1,12" Prompt="Category"/>
			<PageField Type="Combo"   Pos="7,16,6,26" DBName="Category" Value="+GetCpsItem('CategoryList')"/>
			<PageField Type="Static"  Pos="8,2,1,12" Prompt="Note"/>
			<PageField Type="Edit"    Pos="8,16,2,26" DBName="Note"/>
			<PageField Type="Check"   Pos="10,16,1,14" Prompt="Complete" DBName="Complete"/>
		</Tab>
		  <PageField Type="Button"  Pos="13,5,1.5,12" Prompt="Apply" Command="Apply()"/>
		  <PageField Type="Button"  Pos="13,19,1.5,12" Prompt="Delete" Command="Delete()"/>
		  <PageField Type="Button"  Pos="13,33,1.5,12" Prompt="Cancel" Command="NoApply()"/>
	</Page>
</File>

