<File Name="Expense" SyncWith="Expense">
	<Field Type="C" Length="36" DBName="RecordId"/>
	<Field Type="D" Length="8" DBName="EditDate"/>
	<Field Type="C" Length="8" DBName="EditTime"/>
	<Field Name="Description" Type="C" Length="30" DBName="Desc"/>
	<Field Name="Priority" Type="D" Length="8" DBName="ExpDate"/>
	<Field Name="Priority" Type="C" Length="8" DBName="ExpTime"/>
	<Field Name="Priority" Type="C" Length="20" DBName="ExpType"/>
	<Field Name="Priority" Type="C" Length="20" DBName="Amount"/>
	<Field Name="Priority" Type="C" Length="20" DBName="Miles"/>
	<Field Name="Priority" Type="C" Length="20" DBName="Category"/>
	<Field Name="Priority" Type="M" Length="20" DBName="Notes"/>
	<Page Name="Expense" Type="Primary" Target="All">
		<PageField Type="Button"   Pos="1,2,1.2,28" Prompt="Expense List" Command="Filelist:Run('showpim.sh menu')"/>
		<PageField Type="Combo"   Pos="1,32,6,16" DBName="+GetCpsItem('Category')"
			Value="+'All,'+GetCpsItem('CategoryList')"
			Command="SetCpsItem('Category')"/>
		<PageField Type="ListBox" Pos="2.2,2,16,46"
      Command="Change()"
			DBName="Desc"/>
		<PageField Type="Button"  Pos="18.5,2,1.5,12" Prompt="New..." Command="Add()"/>
		<PageField Type="Label"   Pos="18.5,33,1,15" Prompt="+GetCpsItem('ListCount')+' Items'"/>
	</Page>
	<Page Name="Expense" Type="AddEdit" Target="All">
		<PageField Type="Static"  Pos="2,2,1,12" Prompt="Description"/>
		<PageField Type="Edit"    Pos="2,16,1,30" DBName="Desc"/>
		<PageField Type="Static"  Pos="3,2,1,12" Prompt="Date"/>
		<PageField Type="Date"    Pos="3,16,1,14" DBName="DueDate"/>
		<PageField Type="Time"    Pos="3,32,1,14" DBName="DueTime"/>
		<PageField Type="Static"  Pos="4,2,1,12" Prompt="Category"/>
		<PageField Type="Combo"   Pos="4,16,5,30" DBName="Category" Value="+GetCpsItem('CategoryList')"/>
		<PageField Type="Static"  Pos="5,2,1,12" Prompt="Type"/>
		<PageField Type="Combo"   Pos="5,16,5,30" DBName="ExpType" Value="Meals,Lodging,Auto,Airfare"/>
		<PageField Type="Static"  Pos="7,2,1,8" Prompt="Amount"/>
		<PageField Type="Edit"    Pos="7,16,1,10" DBName="Amount"/>
		<PageField Type="Static"  Pos="7,28,1,8" Prompt="Miles"/>
		<PageField Type="Edit"    Pos="7,36,1,10" DBName="Miles"/>
		<PageField Type="Static"  Pos="8.5,2,1,12" Prompt="Notes"/>
		<PageField Type="Edit"    Pos="8.5,16,3,30" DBName="Notes"/>
	  <PageField Type="Button"  Pos="13,5,1.5,12" Prompt="Apply" Command="Apply()"/>
	  <PageField Type="Button"  Pos="13,19,1.5,12" Prompt="Delete" Command="Delete()"/>
	  <PageField Type="Button"  Pos="13,33,1.5,12" Prompt="Cancel" Command="NoApply()"/>
	</Page>
</File>

